Debian Bug report logs - #677903
procps: vmstat crashes with SIGFPE

version graph

Package: procps; Maintainer for procps is Craig Small <csmall@debian.org>; Source for procps is src:procps.

Reported by: Mikulas Patocka <mikulas@twibright.com>

Date: Sun, 17 Jun 2012 17:36:01 UTC

Severity: normal

Tags: patch, upstream

Found in version procps/1:3.2.8-9squeeze1

Fixed in versions procps/1:3.3.6-1, procps/1:3.3.5-1

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mikulas@twibright.com, Craig Small <csmall@debian.org>:
Bug#677903; Package procps. (Sun, 17 Jun 2012 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikulas Patocka <mikulas@twibright.com>:
New Bug report received and forwarded. Copy sent to mikulas@twibright.com, Craig Small <csmall@debian.org>. (Sun, 17 Jun 2012 17:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mikulas Patocka <mikulas@twibright.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: procps: vmstat crashes with SIGFPE
Date: Sun, 17 Jun 2012 19:32:53 +0200
[Message part 1 (text/plain, inline)]
Package: procps
Version: 1:3.2.8-9squeeze1
Severity: normal
Tags: upstream patch


With kernel 3.4.2, vmstat crashes with SIGFPE. The crash happens very often
so that it is reproducible.

On other computer (running with older kernel) I observed unreproducible
vmstat SIGFPE crash in kvm virtualized environment.

I provide this source code patch for vmstat.

--- vmstat.c_	2012-06-17 19:21:33.000000000 +0200
+++ vmstat.c	2012-06-17 19:22:09.000000000 +0200
@@ -203,6 +203,7 @@
   diow= *cpu_iow;
   dstl= *cpu_zzz;
   Div= duse+dsys+didl+diow+dstl;
+  if (!Div) Div = 1, didl = 1;
   divo2= Div/2UL;
   printf(format,
 	 running, blocked,
@@ -252,6 +253,7 @@
     }
 
     Div= duse+dsys+didl+diow+dstl;
+    if (!Div) Div = 1, didl = 1;
     divo2= Div/2UL;
     printf(format,
            running, blocked,

-- System Information:
Debian Release: 6.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.4.2 (PREEMPT)
Locale: LANG=cs_CZ, LC_CTYPE=cs_CZ (charmap=ISO-8859-2)
Shell: /bin/sh linked to /bin/dash

Versions of packages procps depends on:
ii  initscripts        2.88dsf-13.1+squeeze1 scripts for initializing and shutt
ii  libc6              2.11.3-3              Embedded GNU C Library: Shared lib
ii  libncurses5        5.7+20100313-5        shared libraries for terminal hand
ii  libncursesw5       5.7+20100313-5        shared libraries for terminal hand
ii  lsb-base           3.2-23.2squeeze1      Linux Standard Base 3.2 init scrip

Versions of packages procps recommends:
ii  psmisc                        22.11-1    utilities that use the proc file s

procps suggests no packages.

-- no debconf information
[vmstat.patch (text/plain, attachment)]
[vmstat.patch (text/plain, attachment)]
[vmstat.patch (text/plain, attachment)]
[vmstat.patch (text/plain, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 30 Oct 2012 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Sun, 05 May 2013 22:03:12 GMT) Full text and rfc822 format available.

Notification sent to Mikulas Patocka <mikulas@twibright.com>:
Bug acknowledged by developer. (Sun, 05 May 2013 22:03:12 GMT) Full text and rfc822 format available.

Message #12 received at 677903-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 677903-close@bugs.debian.org
Subject: Bug#677903: fixed in procps 1:3.3.6-1
Date: Sun, 05 May 2013 22:00:10 +0000
Source: procps
Source-Version: 1:3.3.6-1

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 01 Jan 2013 13:47:29 +1100
Source: procps
Binary: procps libprocps1 libprocps1-dev
Architecture: source amd64
Version: 1:3.3.6-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libprocps1 - library for accessing process information from /proc
 libprocps1-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 675848 677903 681653 692170 693647 693783
Changes: 
 procps (1:3.3.6-1) unstable; urgency=low
 .
   * New upstream version
     - top has new inspect (Y key) feature that some program can be run against
       the selected PID
     - sysctl.8: format fix in synopsis Closes: #675848
     - Expose freeproc for libproc Closes: #681653
     - ps.1: format fix in notes Closes: #692170
     - Add -c count option to pkill Closes: #693783
     - vmstat occasional crashes fixed Closes: #677903
   * libprocps now in Section: libs Closes: #693647
Checksums-Sha1: 
 ad4d251bbcae93f582b152b83c46ef3409e67a1b 1951 procps_3.3.6-1.dsc
 fe463b24cff4b70dc558d256c810ff59539a7204 536156 procps_3.3.6.orig.tar.xz
 a2f0ab63451b4d4d1237b07cc1af88c4685ea33e 26984 procps_3.3.6-1.debian.tar.gz
 c5bcdcb7623beca3dabf774fee06a8545239a666 270812 procps_3.3.6-1_amd64.deb
 1794b27cdbd2b8b95f7f9640c3107f70e8ba70ed 59390 libprocps1_3.3.6-1_amd64.deb
 9d89a4800d96a478208c5fc78a0360b497b88266 74972 libprocps1-dev_3.3.6-1_amd64.deb
Checksums-Sha256: 
 b5ba38b771fd85e456144be6d3d7161020c2e0b9fade76d51879130674e8ac77 1951 procps_3.3.6-1.dsc
 d409798c179847bb2a3588e85fccb706ec741444b7470e7c7850732d991c83a4 536156 procps_3.3.6.orig.tar.xz
 f1d5549cb7fc00785319ebdb5a29983e396866e262565d1d4e292f4a92e0d09d 26984 procps_3.3.6-1.debian.tar.gz
 dc322ccae39479b74562e707964836a71c124ed01ee3f3a47e03a5e7dbf5812e 270812 procps_3.3.6-1_amd64.deb
 bbc20d16fba45d5876a04e81dca545ce51716495df236fe59d574554aa74799a 59390 libprocps1_3.3.6-1_amd64.deb
 e8d0d9fec1723a377bd9e21c46aa524e14710d333d9644c3ace3a876e1c8191f 74972 libprocps1-dev_3.3.6-1_amd64.deb
Files: 
 b665972d34816961d78e8508f4be06ee 1951 admin important procps_3.3.6-1.dsc
 e920e087e540519f852a4f5c42eccc7c 536156 admin important procps_3.3.6.orig.tar.xz
 d8e204b73213024523ba2358c9daf303 26984 admin important procps_3.3.6-1.debian.tar.gz
 1df31bc744c0cab9a55d50a984939cc0 270812 admin important procps_3.3.6-1_amd64.deb
 5793932fa1836453efda3bbcb93f422b 59390 libs important libprocps1_3.3.6-1_amd64.deb
 18f1816fda05c5565eb79c05b3d33332 74972 libdevel optional libprocps1-dev_3.3.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ4mzVAAoJEDk4+WvfUP6lN00QAKoapmWl94y8g8Yni5phCDQ9
a9ccphb37HgAEzvInxvys+Q9mYBs2rQepvYYPvRAB1ehb+/D9QSz59nsvL2mH6HT
SlPvHT9E9VV8DnVXy9Fb4zZXUsBuGurE3KwOmlX4Cm73z9SlgiM0iolewdfr/vZ0
sLkX4sCo7VcIi4txKnL3H+BZ8TDGNWWZhWGvt/0M+43Lz4QhD5OHJQXiQU9azQjy
GxdC8AEY1wDugLo0KtxvpW6mmn7T8sRd4suUlkr4Z6d73VAPkRb+XhjcxaagXosl
W0kpy8j5QmQhHk1dnOlfeB6gLtBSq09p3VCRBiMf3Fq7tNOfEaitJHjwoFXpMF5W
rfNZiYehs4Ueh5IS8kPbH5cVjfVCnjU8QpsrpmTKa8pKLXisYJiZ1mHAbkGRuTUk
N+Ekg7xH3kCzMJpHxbd6uoDxg+ztPWGcfRG3G/3JW2mHFxToR51xq3jsfwOw8TGm
6QsBI4yrdwx3p6Ld/pFnw/5Ky5apxZsx/Mn4dkCTx0ORLC6/w8RF6CDuRKRcVuby
pVv7lP27XuUyy/+BsEysFaLSPubF4iyCULEYIAx+IFrf0QBVstqw+Fvu98RZ6SPi
2B5emj3vW4CqG0CgYMujrbEr4kOAiurALXqSOAdFxoSuiQ3Emb85g82poLGgyPGj
4/MuOHSIW2oCvHT33fpW
=jghg
-----END PGP SIGNATURE-----




Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Sun, 05 May 2013 22:03:16 GMT) Full text and rfc822 format available.

Notification sent to Mikulas Patocka <mikulas@twibright.com>:
Bug acknowledged by developer. (Sun, 05 May 2013 22:03:16 GMT) Full text and rfc822 format available.

Message #17 received at 677903-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 677903-close@bugs.debian.org
Subject: Bug#677903: fixed in procps 1:3.3.5-1
Date: Sun, 05 May 2013 22:00:08 +0000
Source: procps
Source-Version: 1:3.3.5-1

We believe that the bug you reported is fixed in the latest version of
procps, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 677903@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated procps package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Nov 2012 08:24:51 +1100
Source: procps
Binary: procps libprocps1 libprocps1-dev
Architecture: source amd64
Version: 1:3.3.5-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 libprocps1 - library for accessing process information from /proc
 libprocps1-dev - library for accessing process information from /proc
 procps     - /proc file system utilities
Closes: 677903
Changes: 
 procps (1:3.3.5-1) unstable; urgency=low
 .
   * New upstream version
   * Stop SIGFPE on vmstat at times Closes: #677903
   * Upstream took freebsd bug patch
   * Second re-release due to 3.3.4-2 required first
Checksums-Sha1: 
 90662b0d4e4f6bd7b6145b61497ff3f4e66bbd3e 1952 procps_3.3.5-1.dsc
 2642101c3c2ca614f817fd7028c98540ef3ec7cf 760783 procps_3.3.5.orig.tar.gz
 ddb26820e2d8252397fd24dfaadd8d3fccc91775 26715 procps_3.3.5-1.debian.tar.gz
 0c4ff3510fb54b3769146935877cec4d39695eb6 259172 procps_3.3.5-1_amd64.deb
 4c4ca134ee54deb583f75552ca4c89bc96b25fbc 58736 libprocps1_3.3.5-1_amd64.deb
 ce8477c8973fcb460cceb8d8bb41d4a6123e63bd 74312 libprocps1-dev_3.3.5-1_amd64.deb
Checksums-Sha256: 
 ce0219b83b26ac0dcfd43b0f8acce7baf578683273921ea99266b0bf826b16cd 1952 procps_3.3.5-1.dsc
 e033f36774de7ca8c46805c51813d4665a24839c63dd7979c041121dece567de 760783 procps_3.3.5.orig.tar.gz
 babec45c066b8597674d7b62b0673dd33c896517d7d91ef1aad00c3216b4d1c3 26715 procps_3.3.5-1.debian.tar.gz
 e770b23d1198045c5ae660b41f5d000fa56a395d03fd2514816460a72fbd2c5c 259172 procps_3.3.5-1_amd64.deb
 2907cc89565d5897da87799cc260930fb34448100657f56308220976a4e0ffe9 58736 libprocps1_3.3.5-1_amd64.deb
 b2fd56076477a88d400ae84ce7138e7d6f67caea6030fb8aad9249f06cd9751e 74312 libprocps1-dev_3.3.5-1_amd64.deb
Files: 
 83c826ebfe59adde04f658b4d434fb98 1952 admin important procps_3.3.5-1.dsc
 f22b5fd5265836035fbd099c5329a365 760783 admin important procps_3.3.5.orig.tar.gz
 8fa5218deec79f7b6aebafc65d9c2353 26715 admin important procps_3.3.5-1.debian.tar.gz
 2959d484b20cb3f9e8da4585871e35a3 259172 admin important procps_3.3.5-1_amd64.deb
 cafbba10af5026a8caaf0e437b7b2756 58736 admin important libprocps1_3.3.5-1_amd64.deb
 00e52f6f7b68f246e193a05867dbabbb 74312 libdevel optional libprocps1-dev_3.3.5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQqAl8AAoJEDk4+WvfUP6lrQYQAJI/SnY3KP17nictD6pPqC6o
zWIj1HXADAqVi2pGo0P2TYlKu0lMKF/VVvPsNK3agIW95yD998eJebAqtrSo7GPd
2S+8wolSDM8wEqgGPP2yKHFqvIq1ezyEE4U2LUgpCFO5DTy50sWt11dIrKZX4kpx
euXnyQQMXzMCerhs9kWYFLa7Nun/s5A6/zC6kMXasG6w4DkQcrzXx8G/BFKf21xN
OrpjmEikPA0gcMlXb6vmkShe1e8/KWhJLKLFG0A4G6xtcovJenfWnBf2ET1CtY8J
S1xS7glp388AZxWhnHdsIRQ0tH3lAnrAAXbKBrJM2xcv1+L/vCatTKK+4Eew+aTy
+RhoEN9fyUBD1sIkkq8DdzLYl85GODfBmRuY48EZ2LcHW5oCMS8PJdjobt9DIyeI
lrfRW1ZZ+zDJriRnLxAyc0DJ2x1ifIqO36/EpQg7vrmkq7QlK16knItkhQfXYov7
dwMvWmxYmOdsRnrNBo0dhR1AoxJx+CQw5VTFFF3E8+0CyasxLLl0GOv+LiXOdJLI
6kmlTv76O1RVithw/Hm6iWk6aV4l7Vvhq4b4oJQ/hrFZA9h/yfof1XaB+/W9z0wD
tVXuMRs5LnNq/G9cuUHMVQ7LBJlTDZzlfjwTaTVPOXOwA2hU8cXUH2ssG6oDuL3C
NpTuyLtefS+0ivkocMp9
=xbv6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:29:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:59:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.